import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class SiteRootModule {}

@NgModule({})
export class SiteModule {
  public static forRoot(): ModuleWithProviders<SiteRootModule> {
    return {
      ngModule: SiteRootModule,
      providers: [...SERVICES],
    };
  }
}
